package com.example;

import io.micronaut.context.ApplicationContext;
import io.micronaut.objectstorage.ObjectStorageOperations;
import io.micronaut.runtime.Micronaut;

public class Application {

    public static void main(String[] args) {
        ApplicationContext ctx = Micronaut.run(Application.class, args);

        System.out.println("envs: " + ctx.getEnvironment().getActiveNames());

        System.out.println("micronaut.object-storage.oracle-cloud.default.bucket: " +
                ctx.getProperty("micronaut.object-storage.oracle-cloud.default.bucket", String.class));

        System.out.println("micronaut.object-storage.oracle-cloud.default.namespace: " +
                ctx.getProperty("micronaut.object-storage.oracle-cloud.default.namespace", String.class));

        System.out.println("ObjectStorageOperations: " + ctx.getBeansOfType(ObjectStorageOperations.class));
    }
}
